
<div class="">
    <div class="col-sm-12 titulo text-center">
        Mantenimiento
    </div>
</div>

<app-separador></app-separador>
<div class="row">
    <div class="col-sm-12 espacio">

    </div>
</div>

<br>

<div class="row">
    <div class="col-sm-12 col-sm-offset-1" *ngIf="vleer">
        <div class="row">

            <div class="col-sm-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="nombreB">Buscar</label>
                    <input type="text" id="nombreB" name="nombreB"
                        [(ngModel)]="nombreB"
                        placeholder="Buscar por nombre de tabla"
                        class="form-control"
                        (keyup)="buscarxNombre()"/>
                </div>
            </div>
        </div>
        <div class="col-lg-12 col-md-12" style="margin-bottom: 3%;">

            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>
                    <td>Tabla</td>
                    <td>Proceso</td>
                    <td>Usuario</td>
                    <td>Fecha</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of mantenimiento.slice((page-1) *
                    pageSize,page *
                    pageSize) " ng-click="selectPerson(persona)">
                    <td>{{ datos.tabla }}</td>
                    <td>{{ datos.proceso }}</td>
                    <td>{{ datos.usuario }}</td>
                    <td>{{ datos.fecha }}</td>


                </tr>
            </tbody>
        </table>
        <ngb-pagination
        class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="mantenimiento.length"></ngb-pagination>
    </div>
    <div class="col-sm-1 ">

    </div>

</div>
